using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsFloorStatus {
        //실내 환경 관제점 등록
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "층 ID"), Key]
        public int FloorId { get; set; }
        [Display(Name = "층 이름"), Key]
        [StringLength(50)]
        public string FloorName { get; set; }
        [Display(Name = "평면도 파일 ID"), Key]
        public int ImageFileId { get; set; }
        [Display(Name = "x축 좌표값"), Key]
        public int Xvalue { get; set; }
        [Display(Name = "y축 좌표값"), Key]
        public int Yvalue { get; set; }
        [Display(Name = "구역 ID")]
        public int? ZoneId { get; set; }
        [Display(Name = "관제점 용도 타입ID")]
        public int? ServiceTypeId { get; set; }
        [Display(Name = "대상 설비의 타입 ID"), Required]
        public int FacilityTypeId { get; set; }
        [Display(Name = "대상 설비의 Code"), Required]
        public int FacilityCode { get; set; }
        [Display(Name = "대상 설비의 PropertyId"), Key]
        public int PropertyId { get; set; }
        [Display(Name = "설비 이름")]
        [StringLength(64)]
        public string FacilityName { get; set; }

    }
}
